#
# spec file for package yast2-hardware-detection
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-hardware-detection
Version:        5.0.0
Release:        1.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Group:          System/YaST
License:        GPL-2.0-or-later
# obviously
BuildRequires:  gcc-c++
BuildRequires:  libtool
# needed for all yast packages
BuildRequires:  yast2-devtools >= 3.1.10
# autodocs
BuildRequires:  doxygen
# testsuite
BuildRequires:  dejagnu
# this is a yast plugin, needs core
BuildRequires:  yast2-core-devel
# da library
BuildRequires:  hwinfo-devel
# we check for hwinfo
BuildRequires:  pkg-config
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Hardware Detection Interface
Requires:       hwinfo >= 21.5

%description
This package contains the hardware detection library for YaST2.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2ag_hwprobe.la

%files
%defattr(-,root,root)
%{yast_scrconfdir}/*.scr
%{yast_plugindir}/libpy2ag_hwprobe.so.*
%{yast_plugindir}/libpy2ag_hwprobe.so
%doc %{yast_docdir}
%license COPYING

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Thu Sep  8 2022 Michal Filka <mfilka@suse.com>
- bsc#1203227
  - replaced fgrep by grep -F
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Mon Mar  1 2021 Stefan Hundhammer <shundhammer@suse.com>
- Fixed pointer check to compile with GCC 11 (bsc#1181916)
- 4.1.2
* Tue Aug 27 2019 Steffen Winterfeldt <snwint@suse.com>
- add bug number (bsc#1148310)
* Tue Aug 27 2019 Andreas Schwab <schwab@suse.de>
- Handle arch_riscv
- 4.1.1
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Thu Nov 17 2016 snwint@suse.de
- parse new entry for permanent mac address (bsc#1007172)
- 3.1.8
* Tue Feb 17 2015 mvidner@suse.com
- Changed .probe.version not to use a timestamp so that it passes
  the build-compare check (boo#915938).
- 3.1.7
* Fri Feb 13 2015 lslezak@suse.cz
- added VMware and VirtualBox VM detection (bnc#773323)
  (paths .probe.is_vmware and .probe.is_vbox)
- 3.1.6
* Thu Dec 18 2014 lslezak@suse.cz
- 3.1.5
* Wed Dec 17 2014 schwab@suse.de
- Handle arch_aarch64 in .probe.architecture
* Mon Nov 24 2014 aschnell@suse.de
- added leading zeros for FCP LUNs (bsc#903069)
- 3.1.4
* Mon Oct 20 2014 lslezak@suse.cz
- added Travis support (.travis.yml, testsuite build fix)
* Tue May 27 2014 snwint@suse.de
- make ethtool private flags tri-state: (unset, false, true)
- 3.1.3
* Wed Apr 16 2014 snwint@suse.de
- update hardware agent to use the latest libhd flags (bnc #841170)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Aug 13 2013 lslezak@suse.cz
- fixed build with yast2-devtools >= 3.0.3
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Fri Jun 14 2013 mvidner@suse.com
- removed obsolete dependencies on blocxx and openssl
- 2.24.0
* Mon Mar 19 2012 aschnell@suse.de
- fixed for gcc 4.7
- 2.22.0
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Oct 10 2011 lslezak@suse.cz
- 2.21.0
* Thu Sep 29 2011 lslezak@suse.cz
- return joystick details (number of buttons and axes)
* Tue Sep 13 2011 mvidner@suse.cz
- Use pr_bios for .probe.bios so that smbios info is included
  (bnc#425059, bnc#716081).
- 2.17.2
* Wed Aug 13 2008 aschnell@suse.de
- fixed fibre channel resources
- 2.17.1
* Fri Jul 18 2008 aschnell@suse.de
- added fibre channel resources (fate #304333)
- 2.17.0
* Tue Feb  5 2008 fehr@suse.de
- fixed testsuite
- 2.16.1
* Tue Feb  5 2008 fehr@suse.de
- make it possible to set flags on hwinfo probing mode.
* Mon Nov 26 2007 mvidner@suse.cz
- Don't create /var/lib/hardware/LOCK with random mode.
- 2.16.0
* Wed Jul 25 2007 mzugec@suse.cz
- Enable WPA probing (reverted patch) (#279938)
- 2.15.8
* Mon Jul 16 2007 mvidner@suse.cz
- Added .probe.fingerprint (F301952).
- Re-enabled test suite.
- 2.15.7
* Thu Jun 14 2007 mvidner@suse.cz
- Disable WPA probing so that the WiFi connection is not interrupted
  (#279938).
- 2.15.6
* Mon Jun 11 2007 mzugec@suse.cz
- Added modalias to the hardware item map
- 2.15.5
* Tue Jun  5 2007 mvidner@suse.cz
- Added sysfs_id to the hardware item map (#208854).
- 2.15.4
* Thu Mar  1 2007 mvidner@suse.cz
- Fixed a bug in the last change that converted nearly
  all probes to disk probes.
- 2.15.3
* Wed Feb 28 2007 jsrain@suse.cz
- fixed more memory leaks when probing hardware (#249276)
- 2.15.2
* Tue Feb 27 2007 jsrain@suse.cz
- fixed memory leak when probing hardware (#249276)
- 2.15.1
* Tue Feb 27 2007 mvidner@suse.cz
- Added .probe.is_xen (#241564).
- 2.15.0
* Tue Nov 14 2006 mvidner@suse.cz
- Use pkg-config to determine libraries needed by hwinfo.
- Convenience: enable compilation with hwinfo < 13.6.
- Commented BuildRequires, removed unneeded hal-devel (required
  transitively).
- 2.14.0
* Thu Oct 12 2006 ro@suse.de
- do not link against libsysfs (not used anymore)
* Tue Oct 10 2006 fehr@suse.de
- add info about driver_module to ycp map (#211225)
- 2.13.5
* Mon Jul 31 2006 fehr@suse.de
- improve detection of modules dependencies of disks (#195116,#194111)
- add info about external disks to ycp map (#150744)
- 2.13.4
* Fri Feb  3 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Wed Jan 25 2006 mvidner@suse.cz
- Added "formfactor" to .probe.system (#145485).
- 2.13.2
* Mon Dec 19 2005 mvidner@suse.cz
- yast2-core killed libp2ystdio, no need to link it.
- Removed klibc from neededforbuild.
- 2.13.1
* Thu Sep 29 2005 visnov@suse.cz
- Initial version split off from yast2-core
- 2.13.0
